<?php
/**
* @author: Egor Smolyakov, 2012.
* @e-mail: mr.stelhammer@gmail.com
*/
defined('ROOT') or define('ROOT', str_replace('\\', '/', realpath(dirname (__FILE__))));
require_once ROOT . '/system/init.php'; // инициализация ядра
if($is_user) {
if(isset($_GET['exit']))
{
DB :: run() -> query("UPDATE `users` SET `last_time` = ? WHERE `id` = ? ;", array((TIME-300), $user['id']));
	setcookie('login', '', time()-1, '/');
	setcookie('password', '', time()-1, '/');
	session_destroy();
}
redir (HOST);
}
page_head('Вход в партнерскую программу'); // название страницы

if(isset($_POST) and !empty($_POST['login']) and !empty($_POST['password']))
{
	$login = protect($_POST['login']);
	$password = protect($_POST['password']);
	
	$querycheck = DB :: run() -> query("SELECT * FROM `users` WHERE (`login`= '".$login."' OR `id` = '".$login."');");
    $user_auth = $querycheck -> fetch();
      
      if (!empty($user_auth)) {
        if (($login == $user_auth['login'] || $login == $user_auth['id']) && md5_hash($password) == $user_auth['password']) {
		if($user_auth['banned'] == 1) {
		echo '<div class="menu">Аккаунт заблокирован! Пояснение было выслано на e-mail указанный при регистрации.</div>';
		}else{
        setcookie('login', $user_auth['login'], time()+3600*24*365, '/');
		setcookie('password', $password, time()+3600*24*365, '/'); 
		DB :: run() -> query ("INSERT INTO `logs_auth` SET `ip` = '".$ip."', `browser` = '".$useragent."', `time` = '".TIME."', `user_login` = '".$user_auth['login']."'");
		redir (HOST);
		}
        } else {
		echo '<div class="menu">Вы ввели неправильные данные!</div>';
		}
} else {
		echo '<div class="menu">Вы ввели неправильные данные!</div>';
}
}

echo '<div class="menu">
<form action="'.HOST.'/login/" method="POST">
Логин или ID:<br />
<input type="text" name="login"/><br />
Пароль:<br />
<input type="password" name="password"/><br />
<input type="submit" value="Войти" /><br />
</form></div>
<div class="menu">
<a href="'.HOST.'/registration/">Зарегистрироваться</a><br />
<a href="'.HOST.'/recovery/">Восстановление пароля</a>
</div>';
 echo '<div class="menu"><a href="'.HOST.'/">На главную</a></div>';
page_foot(); // низ сайта
?>